Bug 1022911 - openstack-glance: image creation is failing due Selinux policy enforcement on: Skipping store.set_acls... not implemented. set_acls [NEEDINFO]
openstack-glance: image creation is failing due Selinux policy enforcement on...
Status: CLOSED INSUFFICIENT_DATA
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-glance (Show other bugs)
4.0
x86_64 Linux
unspecified Severity high
: ---
: 4.0
Assigned To: Jon Bernard
Haim
storage
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-24 05:18 EDT by Haim
Modified: 2016-04-26 22:13 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-11-20 10:06:57 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
fpercoco: needinfo? (hateya)


Attachments (Terms of Use)
logs (1.11 MB, application/x-tar)
2013-10-24 05:18 EDT, Haim
no flags Details

  None (edit)
Description Haim 2013-10-24 05:18:04 EDT
Description of problem:

trying to upload the following image is failing with the following:

2013-10-24 11:59:25.279 7727 DEBUG qpid.messaging.io.ops [-] RCVD[2ecb6c8]: ConnectionCloseOk() write /usr/lib/python2.6/site-packages/qpid/messaging/driver.py:654
2013-10-24 11:59:25.279 7727 DEBUG glance.common.client [f2edb6da-6141-4298-bd09-d12abc9a75a4 f39233dcb1d6437baa822ca0d80027e5 e549c26a26e749328a4245991e2619f1] Constructed URL: http://0.0.0.0:9191/images/559287e4-56c4-44b2-9afd-3b03a7e8ab96/members _construct_url /usr/lib/python2.6/site-packages/glance/common/client.py:408
2013-10-24 11:59:25.297 7727 DEBUG glance.registry.client.v1.client [f2edb6da-6141-4298-bd09-d12abc9a75a4 f39233dcb1d6437baa822ca0d80027e5 e549c26a26e749328a4245991e2619f1] Registry request GET /images/559287e4-56c4-44b2-9afd-3b03a7e8ab96/members HTTP 200 request id req-8c729698-54c3-421e-99c5-52de188b2387 do_request /usr/lib/python2.6/site-packages/glance/registry/client/v1/client.py:115
2013-10-24 11:59:25.298 7727 DEBUG glance.store [f2edb6da-6141-4298-bd09-d12abc9a75a4 f39233dcb1d6437baa822ca0d80027e5 e549c26a26e749328a4245991e2619f1] Skipping store.set_acls... not implemented. set_acls /usr/lib/python2.6/site-packages/glance/store/__init__.py:369


command: 

glance image-create --name SUSE11 --disk-format iso --container-format bare --location http://10.35.2.255/SLES-11-SP3-DVD-i586-GM-DVD1.iso

command works if I change selinux mode to permissive.
Comment 1 Haim 2013-10-24 05:18:53 EDT
Created attachment 815709 [details]
logs
Comment 2 Haim 2013-10-24 05:19:38 EDT
def set_acls(context, location_uri, public=False, read_tenants=[],
             write_tenants=[]):
    loc = location.get_location_from_uri(location_uri)
    scheme = get_store_from_location(location_uri)
    store = get_store_from_scheme(context, scheme, loc)
    try:
        store.set_acls(loc, public=public, read_tenants=read_tenants,
                       write_tenants=write_tenants)
    except NotImplementedError:
        LOG.debug(_("Skipping store.set_acls... not implemented."))

Note You need to log in before you can comment on or make changes to this bug.